%define anolis_release 4

Name:           libseccomp
Version:        2.5.4
Release:        %{anolis_release}%{?dist}
Summary:        Enhanced seccomp library
License:        LGPLv2
URL:            https://github.com/seccomp/libseccomp
Source0:        https://github.com/seccomp/libseccomp/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch001:	add-loongarch64-for-libseccomp.patch
Patch002:	syscalls.csv-add-loongarch-support.patch

BuildRequires:  gcc
BuildRequires:  gperf
BuildRequires:  make

%description
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files used to build applications with libseccomp support
Requires:       %{name} = %{version}-%{release}

%description devel
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package static
Summary:        Enhanced seccomp static library
Requires:       %{name}-devel = %{version}-%{release}

%description static
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%prep
%autosetup -p1

%build
autoreconf
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%license LICENSE
%{_libdir}/libseccomp.so.*

%files doc
%doc CREDITS README.md CHANGELOG CONTRIBUTING.md

%files devel
%{_includedir}/seccomp.h
%{_includedir}/seccomp-syscalls.h
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_bindir}/scmp_sys_resolver
%{_mandir}/man1/*
%{_mandir}/man3/*

%files static
%{_libdir}/libseccomp.a

%changelog
* Thu Dec 29 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.4-4
- rebuild

* Mon Oct 16 2023 Jingyun Hua<huajingyun@loongson.cn> - 2.5.4-3
- fix build error on loongarch64

* Wed Aug 16 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 2.5.4-2
- add loongarch64 for libseccomp

* Mon Dec 5 2022 Funda Wang <fundawang@yeah.net> - 2.5.4-1
- New version 2.5.4

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.5.3-2
- add doc package

* Tue Mar 08 2022 liuzhilin <liuzhilin@uniontech.com> - 2.5.3-1
- Init for Anolis OS 23
